const express = require('express');
var router = express.Router();
require('../data/database');

const studentModel = require('../model/student');

router.get('/', function(req, res, next) {

    studentModel.find({}, (err,data) => {
      if(err){
        res.send(err);
      }
    res.send(data);
    })
  });


  router.post('/', (req,res)=>{
    var newStudent = new studentModel({
      id: req.body.id ,
    fname : req.body.fname,
    lname : req.body.lname ,
    })
    newStudent.save().then(() => console.log('user saved in db'));
  })


  router.put('/', function (req,res) {
    var query = {fname:req.body.name};
    console.log(query);
  
    studentModel.findOneAndUpdate(query, { $set: { fname: req.body.newName}} ,(err,document) => {
      if(err){
        console.log(err)
      }
      console.log(document);
    }  )
  })
  
  
  router.delete('/',function(req,res){
    studentModel.findOneAndDelete({fname:req.body.name},(err) =>{
      if(err){
        console.log(err);
      }
      else{
        console.log('user Deleted!!');
      }
    })
  })
  
module.exports = router;